=== debian/changelog ===
ia32-libs (2.7ubuntu26.2) lucid-proposed; urgency=low

  * Freshen packages
  * Add libgvfscommon0 (LP: #619293)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 28 Jun 2011 01:14:06 -0700
