=== control ===
Source: libtasn1-3
Section: libs
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, bison, gtk-doc-tools, texinfo, autotools-dev, texlive-latex-base
Standards-Version: 3.8.3
Priority: important
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/libtasn1-3/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/libtasn1-3/trunk/
Homepage: http://www.gnu.org/software/libtasn1/

Package: libtasn1-3-dev
Section: libdevel
Architecture: any
Depends: libtasn1-3 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgnutls-dev (<< 0.5.1-4), libtasn1-dev
Provides: libtasn1-dev
Priority: optional
Description: Manage ASN.1 structures (development)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains header files and libraries for static linking.

Package: libtasn1-3-dbg
Section: debug
Architecture: any
Depends: libtasn1-3 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: Manage ASN.1 structures (development)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains symbol files for debugging.

Package: libtasn1-3
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtasn1-2 (= 0.3.1-1)
Description: Manage ASN.1 structures (runtime)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains runtime libraries.

Package: libtasn1-3-bin
Section: devel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtasn1-2-bin, libtasn1-2 (<< 0.2.17-1)
Replaces: libtasn1-2-bin, libtasn1-2 (<< 0.2.17-1)
Description: Manage ASN.1 structures (binaries)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains programs to encode, decode and parse asn1 data
 structures.
